#ifndef __LOGIC_H__
#define __LOGIC_H__

#include <stdio.h>
#include <time.h>

#include "AsciiAPI.h"

typedef struct tagHEADER {
    int bSENDER_Exists;
    char SENDER[6];
    int bRECIPIENT_Exists;
    char RECIPIENT[6];
    int bFSN_Exists;
    char FSN[6];
    int bFILE_CREATION_DATE_Exists;
    struct tm FILE_CREATION_DATE;
} HEADER;

typedef struct tagMOC {
    int bIMSI_Exists;
    char IMSI[16];
    int bCALLED_NUMBER_Exists;
    char CALLED_NUMBER[22];
    int bNATIONAL_IND_Exists;
    int NATIONAL_IND;
    int bCALL_DATE_TIME_Exists;
    struct tm CALL_DATE_TIME;
    int bDURATION_Exists;
    int DURATION;
    int bMSCID_Exists;
    char MSCID[16];
    int bCALLEDCOUNTRYCODE_Exists;
    char CALLEDCOUNTRYCODE[6];
    int bCHARGE_Exists;
    double CHARGE;
    int bCHARGEABLE_UNITS_Exists;
    int CHARGEABLE_UNITS;
    int bEXCHANGE_RATE_Exists;
    double EXCHANGE_RATE;
} MOC;


RCINT64 GetMinorVersionWeCanRead();

void OutputTree(FILE *fp, RCHANDLE treeRoot);

void OutputHEADER(FILE *fp, HEADER *pHEADER);

void OutputMOC(FILE *fp, MOC *pMOC);

#endif
